Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 26 Jan 2022 06:08:39 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have ordered some products from splash since 3 days now. My order hasn't received . Moreover it was supposed to come yesterday and it didn't come.

Today when I called the customer service . She wasn't helpful at at all. I requested just a simple thing since I'm at work I told them could I get it delivered at festival city today as  I'm flying to India today 

She was so adamant stating not possible.. I had called the customer service yesterday.  They promised it will be delivered today at festival city. Still nothing yet . This is really unacceptable 

Hope you take this as my consideration 

Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3811924